# See https://gitlab.com/preserves/preserves/-/issues/39
WORKAROUND_PRESERVES_ISSUE_39=--base `realpath ../protocols/schemas`/

schemas:
	preserves-schema-rkt \
		--output schemas \
		$(WORKAROUND_PRESERVES_ISSUE_39) \
		--module noise=:syndicate/schemas/noise \
		../protocols/schemas/**.prs

clean:
	rm -rf schemas/
